Subject: [bug#73927] [PATCH 14/16] installer: Add "Kernel" page to select the Hurd.

From: <[email-masked]>
Date: Tue, 22 Oct 2024 10:53:21 +0200

Mathieu Othacehe writes:

Hello Mathieu,

> Really great to see that extension to the installer :)

Thanks!

> The installer patches look OK to me, I will try to test them
> on real hardware soon.

>> Change-Id: I15d535a7a8a917e5f3492f8c01d922d652c32ee5
>>
>> geert none
>>
>> Change-Id: Ib6c5665638018f59a2690f603fad0702e042fb8b
>>
>> Change-Id: I01b854390240be60ce9fef8c9510a90bc6843ef3
>>
>> geert
>>
>> Change-Id: Ibb7205443969fc92d4fe62d4dfb4f956d03229b9
>
> ^
> Maybe something to cleanup?

Oops, sorry :)  Cleaned it up locally.

>> +         ;; Ask the user to select the kernel for the system,
>> +         ;; for x86 systems only.
>> +         (installer-step
>> +          (id 'kernel)
>> +          (description (G_ "Kernel"))
>> +          (compute (lambda _
>> +                     (if (target-x86?)
>> +                         ((installer-kernel-page current-installer))
>> +                         '())))
>> +          (configuration-formatter (lambda (result)
>> +                                     (kernel->configuration result #$dry-run?))))
>> +
>
> If I remember correctly, new installer steps require some adaptations in
> the (gnu installer tests) module.
>
> Is make check-system TESTS="gui-installed-os" working correctly?

Ah, right; that fails.  I'll look into it, thanks for the pointer.
Where are the .ppm files saved/how do I get at them?

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com